﻿@model BusinessPartnerView
@{
    ViewBag.Title = "_BusinessPartner";
    Layout = "~/Areas/MasterData/Views/Shared/_Layout.cshtml";
    BPAddressesSAP BillAddress = Model.Addresses.Where(c => c.Address == Model.BillToDef).FirstOrDefault();
    BPAddressesSAP ShipAddress = Model.Addresses.Where(c => c.Address == Model.ShipToDef).FirstOrDefault();

}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var LawSet = '@ViewBag.LawSet';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

<div class="row">

    <div class="col-lg-3 col-md-3 col-sm-12">
        <div class="panel panel-default panel_icon_left">
            <div class="panel-body">
                <span class="icon_sap_big icon_sap_36 margin-bottom"></span>
                <label class="control-label" id="REQ" style="display:none">@Companies.REQ</label>
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-12 control-label" id="CC">@BusinessPartners.CC</label>
                        <div class="col-md-12">
                            @Html.TextBoxFor(c => c.CardCode, new { @placeholder = @BusinessPartners.CC, @class = "form-control datos" })
                        </div>
                        <label class="col-md-12 control-label" id="Name">@BusinessPartners.Name</label>
                        <div class="col-md-12">
                            @Html.TextBoxFor(c => c.CardName, new { @placeholder = @BusinessPartners.Name, @class = "form-control datos" })
                        </div>
                        <label class="col-md-12 control-label" id="Type">@BusinessPartners.Type</label>
                        <div class="col-md-12">
                            @Html.DropDownListFor(model => model.CardType, new SelectList(
                    Model.BPCombo.BPTypeList,
                    "Code",
                    "Name", Model.CardType), new { @Id = "CardType", @placeholder = @BusinessPartners.Type, @class = "form-control datos" })
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="col-lg-6 col-md-6 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@BusinessPartners.BPS</h3>
            </div>
            <div class="panel-body">

                <div class="form-group">
                    <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="MA">@BusinessPartners.MA</label>
                    <div class="col-lg-4 col-md-4 col-sm-12">
                        @Html.TextBoxFor(c => c.MailAddres, new { @placeholder = @BusinessPartners.MA, @class = "form-control" })
                    </div>
                    <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="Type">@BusinessPartners.Shipping</label>
                    <div class="col-lg-4 col-md-4 col-sm-12">
                        @Html.DropDownListFor(model => model.ShipType, new SelectList(
                    Model.ShipTypeList,
                                "TrnspCode",
                   "TrnspName", Model.ShipType), new { @Id = "ShipType", @placeholder = @BusinessPartners.ST, @class = "form-control" })

                    </div>
                </div>

                <div class="form-group">
                    <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="MA">@BusinessPartners.EL</label>
                    <div class="col-lg-4 col-md-4 col-sm-12">
                        @Html.DropDownListFor(model => model.SlpCode, new SelectList(
                    Model.EmployeeList,
                          "SlpCode",
       "SlpName", Model.SlpCode), new { @Id = "SalesEmployee", @placeholder = @BusinessPartners.ST, @class = "form-control" })

                    </div>
                    <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="Type">@BusinessPartners.PL</label>
                    <div class="col-lg-4 col-md-4 col-sm-12">
                        @Html.DropDownListFor(model => model.ListNum, new SelectList(
                    Model.PriceList,
                             "ListNum",
             "ListName", Model.ListNum), new { @Id = "PriceList", @placeholder = @BusinessPartners.ST, @class = "form-control" })

                    </div>
                </div>
                <div class="form-group">
                    @if (((UserView)Session["UserLogin"]).CompanyConnect.CompanySAPConfig.DocumentSettingsSAP.LawsSet == "AR")
                    {
                        <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="Type">@BusinessPartners.FIDT</label>
                        <div class="col-lg-4 col-md-4 col-sm-12">
                            @Html.DropDownListFor(model => model.U_B1SYS_FiscIdType, new SelectList(
                    Model.ListFiscIdValues,
                    "FldValue",
                    "Descr", Model.U_B1SYS_FiscIdType), new { @Id = "U_B1SYS_FiscIdType", @class = "form-control" })

                        </div>
                    }
                    @switch (Model.CompanyCountry)
                    {
                        case "MX":
                            <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="FTI">RFC</label>
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                @Html.TextBoxFor(c => c.LicTradNum, new { @placeholder = "RFC", @class = "form-control" })
                            </div>
                            break;
                        case "CL":
                            <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="FTI">RUT</label>
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                @Html.TextBoxFor(c => c.LicTradNum, new { @placeholder = "RUT", @class = "form-control" })
                            </div>
                            break;
                        case "CO":
                            <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="FTI">NIT</label>
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                @Html.TextBoxFor(c => c.LicTradNum, new { @placeholder = "NIT", @class = "form-control" })
                            </div>
                            break;
                        default:
                            <label class="col-lg-2 col-md-2 col-sm-12 control-label" id="FTI">@BusinessPartners.FTI</label>
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                @Html.TextBoxFor(c => c.LicTradNum, new { @placeholder = @BusinessPartners.FTI, @class = "form-control" })
                            </div>
                            break;
                    }

                    <label class="col-lg-2 col-md-2 col-sm-12 control-label">@BusinessPartners.Currency</label>
                    <div class="col-lg-4 col-md-4 col-sm-12">
                        @Html.DropDownListFor(model => model.Currency, new SelectList(
                        Model.CurrencyList,
                                       "CurrCode",
                             "CurrName", Model.Currency), new { @Id = "Currency", @placeholder = @BusinessPartners.Currency, @class = "form-control" })
                    </div>

                </div>

                @Html.HiddenFor(c => c.CardCode)

            </div>
        </div>
    </div>

    <div class="col-lg-3 col-md-3 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@BusinessPartners.GI</h3>
            </div>
            <div class="panel-body">
                <div class="form-group" style="margin-bottom: 5px;">
                    <label class="col-md-3 control-label">@BusinessPartners.AB</label>
                    <div class="col-md-9">
                        @Html.TextBoxFor(c => c.Balance, new { @placeholder = @BusinessPartners.AB, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group" style="margin-bottom: 5px;">
                    <label class="col-md-3 control-label" style="padding-top: 7px;">@BusinessPartners.Deliveries</label>
                    <div class="col-md-9">
                        @Html.TextBoxFor(c => c.DNotesBal, new { @placeholder = @BusinessPartners.Deliveries, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group" style="margin-bottom: 5px;">
                    <label class="col-md-3 control-label" style="padding-top: 7px;">@BusinessPartners.Orders</label>
                    <div class="col-md-9">
                        @Html.TextBoxFor(c => c.OrdersBal, new { @placeholder = @BusinessPartners.Orders, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group" style="margin-bottom:5px;">
                    <label class="col-md-3 control-label" style="padding-top: 7px;">@BusinessPartners.Opportunities</label>
                    <div class="col-md-9">
                        @Html.TextBoxFor(c => c.OprCount, new { @placeholder = @BusinessPartners.Opportunities, @class = "form-control" })
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

@if (Model.MappedUdf.Count > 0)
{
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="panel panel-default" id="accordionUDF">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionUDF" href="#collapseUDF">
                            UDF
                            <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseUDF" class="panel-collapse collapse" style="height: auto;">
                    <div class="panel-body">
                        @{
                            foreach (var DictRow in Model.MappedUdf)
                            {
                                if (DictRow.ListUFD1.Count > 0)
                                {
                                    <div class="row">
                                        <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                        <div class="col-md-10">
                                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                                     DictRow.ListUFD1,
                                                                        "FldValue",
                                                                        "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                        </div>
                                    </div>
                                }
                                else
                                {
                                    <div class="row">
                                        <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                        <div class="col-md-10">
                                            @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                        </div>
                                    </div>
                                }

                            }
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<div class="">

    <ul class="nav nav-tabs" role="tablist">
        <li class="active"><a href="#TabCI" role="tab" data-toggle="tab">@BusinessPartners.CI</a></li>
        <li><a href="#TabBilling" role="tab" data-toggle="tab">@BusinessPartners.Billing</a></li>
        <li><a href="#TabShipping" role="tab" data-toggle="tab">@BusinessPartners.Shipping</a></li>
        <li><a href="#TabProperties" role="tab" data-toggle="tab">@BusinessPartners.Properties</a></li>
    </ul>

    <div id="TabContent" class="tab-content">


        <!--TabCI-->
        <div class="tab-pane fade active in" id="TabCI">
            <div class="panel-body">
                <div class="row" style="margin-bottom: 5px;">
                    <label class="col-md-1 control-label">@BusinessPartners.Phone 1</label>
                    <div class="col-md-11">
                        @Html.TextBoxFor(c => c.Phone1, new { @placeholder = @BusinessPartners.Phone + "1", @class = "form-control" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 5px;">
                    <label class="col-md-1 control-label" style="padding-top: 7px;">@BusinessPartners.Phone 2</label>
                    <div class="col-md-11">
                        @Html.TextBoxFor(c => c.Phone2, new { @placeholder = @BusinessPartners.Phone + "2", @class = "form-control" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 5px;">
                    <label class="col-md-1 control-label" style="padding-top: 7px;">@BusinessPartners.MP</label>
                    <div class="col-md-11">
                        @Html.TextBoxFor(c => c.Cellular, new { @placeholder = @BusinessPartners.MP, @class = "form-control" })
                    </div>
                </div>
                <div class="row" style="margin-bottom:5px;">
                    <label class="col-md-1 control-label" style="padding-top: 7px;">@BusinessPartners.Fax</label>
                    <div class="col-md-11">
                        @Html.TextBoxFor(c => c.Fax, new { @placeholder = @BusinessPartners.Fax, @class = "form-control" })
                    </div>
                </div>
                <div class="row" style="margin-bottom:5px;">
                    <label class="col-md-1 control-label" style="padding-top: 7px;">@BusinessPartners.EMail</label>
                    <div class="col-md-11">
                        @Html.TextBoxFor(c => c.E_Mail, new { @placeholder = @BusinessPartners.EMail, @class = "form-control" })
                    </div>
                </div>
                <div class="row" style="margin-bottom:5px;">
                    <label class="col-md-1 control-label" style="padding-top: 7px;">@BusinessPartners.WebSite</label>
                    <div class="col-md-11">
                        @Html.TextBoxFor(c => c.IntrntSite, new { @placeholder = @BusinessPartners.WebSite, @class = "form-control" })
                    </div>
                </div>
            </div>
        </div>

        <!--Billing-->
        <div class="tab-pane fade" id="TabBilling">
            <div class="panel-body">

                <div class="row">
                    <label class="col-md-1 control-label"></label>
                    <div class="col-md-11">
                        @Html.DropDownListFor(model => model.Addresses, new SelectList(
            Model.Addresses.Where(c => c.AdresType == "B").ToList(), "Address", "Address",
            Model.CardType), new { @Id = "AdrsBillSelect", @class = "form-control" })

                    </div>
                </div>

                <div class="row">
                    @Html.Hidden("LineNumB", (BillAddress != null ? BillAddress.LineNum : -1), new { @id = "LineNumB" })
                    <label class="col-md-1 control-label">@BusinessPartners.AdrsID</label>
                    <div class="col-md-11">
                        @Html.TextBox("AdrsIDB", (BillAddress != null ? BillAddress.Address : ""), new { @id = "AdrsIDB", @placeholder = @BusinessPartners.AdrsID, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.SPOBox</label>
                    <div class="col-md-11">
                        @Html.TextBox("SPOBoxB", (BillAddress != null ? BillAddress.Street : ""), new { @id = "SPOBoxB", @placeholder = @BusinessPartners.SPOBox, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.Block</label>
                    <div class="col-md-11">
                        @Html.TextBox("BlockB", (BillAddress != null ? BillAddress.Block : ""), new { @id = "BlockB", @placeholder = @BusinessPartners.Block, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.City</label>
                    <div class="col-md-11">
                        @Html.TextBox("CityB", (BillAddress != null ? BillAddress.City : ""), new { @id = "CityB", @placeholder = @BusinessPartners.City, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.ZC</label>
                    <div class="col-md-11">
                        @Html.TextBox("ZipCodeB", (BillAddress != null ? BillAddress.ZipCode : ""), new { @id = "ZipCodeB", @placeholder = @BusinessPartners.ZC, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.County</label>
                    <div class="col-md-11">
                        @Html.TextBox("CountyB", (BillAddress != null ? BillAddress.County : ""), new { @id = "CountyB", @placeholder = @BusinessPartners.County, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.Country</label>
                    <div class="col-md-11">
                        @if (BillAddress != null)
                        {
                            @Html.DropDownListFor(model => BillAddress.Country, new SelectList(
                            Model.CountryList, "Code", "Name",
                            BillAddress.Country), new { @Id = "CountryB", @class = "form-control" })
                        }
                        else
                        {
                            @Html.DropDownList("CountryB", new SelectList(Model.CountryList, "Code", "Name"), new { @Id = "CountryB", @class = "form-control" })
                        }
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.State</label>
                    @Html.Hidden("DefaultStateB", (BillAddress != null ? BillAddress.State : ""), new { @id = "DefaultStateB" })
                    <div class="col-md-11">
                        <select id="StateB" class="form-control"></select>
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.SNO</label>
                    <div class="col-md-11">
                        @Html.TextBox("SNOB", (BillAddress != null ? BillAddress.StreetNo : ""), new { @id = "SNOB", @placeholder = @BusinessPartners.SNO, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.BFR</label>
                    <div class="col-md-11">
                        @Html.TextBox("BuildingB", (BillAddress != null ? BillAddress.Building : ""), new { @id = "BuildingB", @placeholder = @BusinessPartners.BFR, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.GLN</label>
                    <div class="col-md-11">
                        @Html.TextBox("GlbLocNumB", (BillAddress != null ? BillAddress.GlblLocNum : ""), new { @id = "GlbLocNumB", @placeholder = @BusinessPartners.GLN, @class = "form-control" })
                    </div>
                </div>

            </div>
        </div>

        <!--Shipping-->
        <div class="tab-pane fade" id="TabShipping">
            <div class="panel-body">

                <div class="row">
                    <label class="col-md-1 control-label"></label>
                    <div class="col-md-11">
                        @Html.DropDownListFor(model => model.Addresses, new SelectList(
            Model.Addresses.Where(c => c.AdresType == "S").ToList(), "Address", "Address",
                     Model.CardType), new { @Id = "AdrsShipSelect", @class = "form-control" })

                    </div>
                </div>

                <div class="row">
                    @Html.Hidden("LineNumS", (ShipAddress != null ? ShipAddress.LineNum : -1), new { @id = "LineNumS" })
                    <label class="col-md-1 control-label">@BusinessPartners.AdrsID</label>
                    <div class="col-md-11">
                        @Html.TextBox("AdrsIDS", (ShipAddress != null ? ShipAddress.Address : ""), new { @id = "AdrsIDS", @placeholder = @BusinessPartners.AdrsID, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.SPOBox</label>
                    <div class="col-md-11">
                        @Html.TextBox("SPOBoxS", (ShipAddress != null ? ShipAddress.Street : ""), new { @id = "SPOBoxS", @placeholder = @BusinessPartners.SPOBox, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.Block</label>
                    <div class="col-md-11">
                        @Html.TextBox("BlockS", (ShipAddress != null ? ShipAddress.Block : ""), new { @id = "BlockS", @placeholder = @BusinessPartners.Block, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.City</label>
                    <div class="col-md-11">
                        @Html.TextBox("CityS", (ShipAddress != null ? ShipAddress.City : ""), new { @id = "CityS", @placeholder = @BusinessPartners.City, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.ZC</label>
                    <div class="col-md-11">
                        @Html.TextBox("ZipCodeS", (ShipAddress != null ? ShipAddress.ZipCode : ""), new { @id = "ZipCodeS", @placeholder = @BusinessPartners.ZC, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.County</label>
                    <div class="col-md-11">
                        @Html.TextBox("CountyS", (ShipAddress != null ? ShipAddress.County : ""), new { @id = "CountyS", @placeholder = @BusinessPartners.County, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.Country</label>
                    <div class="col-md-11">
                        @if (ShipAddress != null)
                        {
                            @Html.DropDownListFor(model => ShipAddress.Country, new SelectList(
                            Model.CountryList, "Code", "Name",
                                                       ShipAddress.Country), new { @Id = "CountryS", @class = "form-control" })
                        }
                        else
                        {
                            @Html.DropDownList("CountryS", new SelectList(Model.CountryList, "Code", "Name"), new { @Id = "CountryS", @class = "form-control" })
                        }
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.State</label>
                    @Html.Hidden("DefaultStateS", (ShipAddress != null ? ShipAddress.State : ""), new { @id = "DefaultStateS" })
                    <div class="col-md-11">
                        <select id="StateS" class="form-control"></select>
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.FTI</label>
                    <div class="col-md-11">
                        @Html.TextBox("FTIS", (ShipAddress != null ? ShipAddress.LicTradNum : ""), new { @id = "FTIS", @placeholder = @BusinessPartners.FTI, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.SNO</label>
                    <div class="col-md-11">
                        @Html.TextBox("SNOS", (ShipAddress != null ? ShipAddress.StreetNo : ""), new { @id = "SNOS", @placeholder = @BusinessPartners.SNO, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.BFR</label>
                    <div class="col-md-11">
                        @Html.TextBox("BuildingS", (ShipAddress != null ? ShipAddress.Building : ""), new { @id = "BuildingS", @placeholder = @BusinessPartners.BFR, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.TO</label>
                    <div class="col-md-11">
                        @Html.TextBox("TOS", (ShipAddress != null ? ShipAddress.TaxCode : ""), new { @id = "TOS", @placeholder = @BusinessPartners.TO, @class = "form-control" })
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-1 control-label">@BusinessPartners.GLN</label>
                    <div class="col-md-11">
                        @Html.TextBox("GlbLocNumS", (ShipAddress != null ? ShipAddress.GlblLocNum : ""), new { @id = "GlbLocNumS", @placeholder = @BusinessPartners.GLN, @class = "form-control" })
                    </div>
                </div>

            </div>
        </div>

        <!--Properties-->
        <div class="tab-pane fade" id="TabProperties">
            <div class="panel-body">

                <div class="table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>Property Name</th>
                                <th>&nbsp;</th>
                                <th>Property Name</th>
                                <th>&nbsp;</th>
                                <th>Property Name</th>
                                <th>&nbsp;</th>
                                <th>Property Name</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            @{
                                Type type = Model.GetType();
                                System.Reflection.PropertyInfo[] properties = type.GetProperties();
                                for (int i = 1; i < Model.PropertiesList.Count; i += 4)
                                {

                                    <tr>
                                        <td>
                                            @Model.PropertiesList.ElementAt(i - 1).GroupName
                                        </td>
                                        <td>
                                            @if (Model.CardCode != null)
                                            {
                                                @Html.CheckBox("QryGroup" + i, ((properties.Where(c => c.Name == "QryGroup" + i).FirstOrDefault().GetValue(Model)).ToString() == "Y" ? true : false), new { @id = "QryGroup" + i })
                                            }
                                            else
                                            {
                                                <input id="@("QryGroup"+i)" name="@("QryGroup"+i)" type="checkbox" value="false">
                                            }
                                        </td>
                                        <td>
                                            @Model.PropertiesList.ElementAt(i).GroupName
                                        </td>
                                        <td>
                                            @if (Model.CardCode != null)
                                            {
                                                @Html.CheckBox("QryGroup" + (i + 1), ((properties.Where(c => c.Name == "QryGroup" + (i + 1)).FirstOrDefault().GetValue(Model)).ToString() == "Y" ? true : false), new { @id = "QryGroup" + (i + 1) })
                                            }
                                            else
                                            {
                                                <input id="@("QryGroup"+(i+1))" name="@("QryGroup"+(i+1))" type="checkbox" value="false">
                                            }
                                        </td>
                                        <td>
                                            @Model.PropertiesList.ElementAt(i + 1).GroupName
                                        </td>
                                        <td>
                                            @if (Model.CardCode != null)
                                            {
                                                @Html.CheckBox("QryGroup" + (i + 2), ((properties.Where(c => c.Name == "QryGroup" + (i + 2)).FirstOrDefault().GetValue(Model)).ToString() == "Y" ? true : false), new { @id = "QryGroup" + (i + 2) })
                                            }
                                            else
                                            {
                                                <input id="@("QryGroup"+(i+2))" name="@("QryGroup"+(i+2))" type="checkbox" value="false">
                                            }
                                        </td>
                                        <td>
                                            @Model.PropertiesList.ElementAt(i + 2).GroupName
                                        </td>
                                        <td>
                                            @if (Model.CardCode != null)
                                            {
                                                @Html.CheckBox("QryGroup" + (i + 3), ((properties.Where(c => c.Name == "QryGroup" + (i + 3)).FirstOrDefault().GetValue(Model)).ToString() == "Y" ? true : false), new { @id = "QryGroup" + (i + 3) })
                                            }
                                            else
                                            {
                                                <input id="@("QryGroup"+(i+3))" name="@("QryGroup"+(i+3))" type="checkbox" value="false">
                                            }
                                        </td>
                                    </tr>


                                }
                            }
                        </tbody>
                    </table>
                </div>

            </div>
        </div>

        <!--Close tabs-->
    </div>
</div>


<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@BusinessPartners.TBPWUS</strong>
</div>
<div class="but_blok_footer">
    <div class="col-md-12 col-sm-12" style="text-align:right">

        @{
            string controllerName = ViewBag.controllerName;
            @Html.ActionLink(@PurchaseOrders.Cancel, "Index", controllerName, null, new { @class = "btn btn-lg btn-default" })
        }
        <button id="submitButton" class="btn btn-lg btn-success">Ok</button>
    </div>
</div>

@Scripts.Render("~/bundles/BusinessPartner")
@Scripts.Render("~/bundles/Alertify")
@Styles.Render("~/Content/Alertify/CSS")

